<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="beddc6bb63a7c7e3" weblate-flags="safe-html, strict-same">
        <source>= Direct Conversion For large inputs parsing into the library's containers followed by conversion via &lt;&lt;ref_value_to&gt;&gt; (or vice versa &lt;&lt;ref_value_from&gt;&gt; followed by serialization from a &lt;&lt;ref_value&gt;&gt;) might be prohibitively expensive. For these cases the library provides components that allow parsing directly into and serializing directly from user-provided objects.</source>
        <target state="translated">= 直接转换 对于大型输入，先解析到库的容器中，再通过 &amp;lt;&lt;ref_value_to&gt;&amp;gt; 进行转换（或反之，先通过 &amp;lt;&lt;ref_value_from&gt;&amp;gt; 转换，再从 &amp;lt;&lt;ref_value&gt;&amp;gt; 序列化）可能代价过高。针对这类场景，库提供了可直接将数据解析到用户提供的对象中、或直接从用户提供的对象进行序列化的组件。&lt;/ref_value&gt;&lt;/ref_value_from&gt;&lt;/ref_value_to&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">10</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="975563e8e146aef3" weblate-flags="safe-html, strict-same">
        <source>The drawback of this approach is that fully custom type representations are not supported, only the library-provided conversions are. Also all objects that should be populated by parsing have to be default constructible types. This includes not only the top-level object, but e.g. elements of containers, members of described `struct`s, and alternatives of variants.</source>
        <target state="translated">这种方法的缺点在于，不支持完全自定义的类型表示，仅支持库提供的转换。此外，所有需通过解析进行填充的对象都必须是可默认构造的类型——这不仅包括顶层对象，也包括容器的元素、所描述`struct`的成员以及变体类型的备选项。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">17</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="df1a22029ed95a47" weblate-flags="safe-html, strict-same">
        <source>That being said, if your types are default-constructible and you don't need the customisability allowed by &lt;&lt;ref_value_to&gt;&gt; and &lt;&lt;ref_value_from&gt;&gt;, then you can get a significant performance boost with direct conversions.</source>
        <target state="translated">尽管如此，如果你的类型是可默认构造的，并且不需要 &amp;lt;&lt;ref_value_to&gt;&amp;gt; 和 &amp;lt;&lt;ref_value_from&gt;&amp;gt; 所提供的自定义能力，那么使用直接转换可以获得显著的性能提升。&lt;/ref_value_from&gt;&lt;/ref_value_to&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2582914d2a07ba9f" weblate-flags="safe-html, strict-same">
        <source>Direct parsing is performed by the &lt;&lt;ref_parse_into&gt;&gt; family of functions. The library provides overloads that take either &lt;&lt;ref_string_view&gt;&gt; or `std::istream`, and can report errors either via throwing exceptions or setting an error code.</source>
        <target state="translated">直接解析是由&amp;lt;&lt;ref_parse_into&gt;&amp;gt; 系列函数执行的。库提供了接受&amp;lt;&amp;lt;&lt;ref_string_view&gt;&amp;gt; 或`std::istream`的重载，并且可以通过抛出异常或设置错误码来报告错误。&lt;/ref_string_view&gt;&lt;/ref_parse_into&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">27</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8e87e2f3741a4750" weblate-flags="safe-html, strict-same">
        <source>If you need to combine incremental parsing with direct parsing, you can resort to &lt;&lt;ref_parser_for&gt;&gt;. `parser_for&lt;T&gt;` is an instantiation of &lt;&lt;ref_basic_parser&gt;&gt; that parses into an object of type `T`, and is what &lt;&lt;ref_parse_into&gt;&gt; uses under the hood.</source>
        <target state="translated">如果需要将增量解析与直接解析结合使用，可以借助 &amp;lt;&lt;ref_parser_for&gt;&amp;gt;。`parser_for&lt;t&gt;`是&amp;lt;&lt;ref_basic_parser&gt;&amp;gt; 的一个实例化，用于将数据解析到类型为`T`的对象中，并且是&amp;lt;&lt;ref_parse_into&gt;&amp;gt;在底层所使用的。&lt;/ref_parse_into&gt;&lt;/ref_basic_parser&gt;&lt;/t&gt;&lt;/ref_parser_for&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">37</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="63941b33aef11bc0" weblate-flags="safe-html, strict-same">
        <source>Direct serialization doesn't require any special components and works with the regular &lt;&lt;ref_serializer&gt;&gt; and &lt;&lt;ref_serialize&gt;&gt;.</source>
        <target state="translated">直接序列化不需要任何特殊组件，可直接使用常规的 &amp;lt;&lt;ref_serializer&gt;&amp;gt; 和&amp;lt;&lt;ref_serialize&gt;&amp;gt;。&lt;/ref_serialize&gt;&lt;/ref_serializer&gt;</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">42</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
